// Lee Spector, lspector@hampshire.edu

// For this to work you must download the jm-etude package from: http://jmetude.dihardja.de/
// Put the extracted folder in your sketchbook's "libraries" (i.e. ~/Documents/Processing/libraries).

// See JMusic documentation at http://jmusic.cs.arizona.edu/doc/ for defined constants, etc.

import jmetude.*;

Etude e;

float notes[][] = {{e.B4, e.DOTTED_QUARTER_NOTE}, 
                   {e.A4, e.EIGHTH_NOTE}, 
                   {e.G4, e.QUARTER_NOTE}, 
                   {e.A4, e.QUARTER_NOTE}, 
                   {e.B4, e.QUARTER_NOTE}, 
                   {e.B4, e.QUARTER_NOTE}, 
                   {e.B4, e.HALF_NOTE},  
                   {e.A4, e.QUARTER_NOTE}, 
                   {e.A4, e.QUARTER_NOTE}, 
                   {e.A4, e.HALF_NOTE}, 
                   {e.B4, e.QUARTER_NOTE}, 
                   {e.B4, e.QUARTER_NOTE}, 
                   {e.B4, e.HALF_NOTE},  
                   {e.B4, e.DOTTED_QUARTER_NOTE}, 
                   {e.A4, e.EIGHTH_NOTE}, 
                   {e.G4, e.QUARTER_NOTE}, 
                   {e.A4, e.QUARTER_NOTE}, 
                   {e.B4, e.QUARTER_NOTE}, 
                   {e.B4, e.QUARTER_NOTE},
                   {e.B4, e.QUARTER_NOTE}, 
                   {e.B4, e.QUARTER_NOTE},
                   {e.A4, e.QUARTER_NOTE}, 
                   {e.A4, e.QUARTER_NOTE}, 
                   {e.B4, e.DOTTED_QUARTER_NOTE}, 
                   {e.A4, e.EIGHTH_NOTE}, 
                   {e.G4, e.WHOLE_NOTE}
                   };
                   

void setup() {
    size(200,100);
    e = new Etude(this);
    e.createScore("score");
    e.createPart("piano", e.PIANO, 1);
    e.createPhrase("phrase", notes);
    e.addPartPhrase("piano", "phrase");
    e.addScorePart("score", "piano");
    noLoop();
}

void draw() {
  e.stopMIDI();
  e.playMIDI("score");
}

